repo/gentoo:master commit in: eclass/
"Mike Gilbert" <[email protected]> Mon, 03 Aug 2026 18:19:21 +0000 (UTC)
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1785781045.f646424fdc41fc57d6fbb152cb6fd76b0fca969e.floppym@gentoo> |
commit: f646424fdc41fc57d6fbb152cb6fd76b0fca969e
Author: Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 30 21:45:52 2026 +0000
Commit: Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Mon Aug 3 18:17:25 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f646424f
acct-user.eclass: use edo to echo commands
Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>
eclass/acct-user.eclass | 10 +++++++---
1 file changed, 7 insertions(+), 3 deletions(-)
diff --git a/eclass/acct-user.eclass b/eclass/acct-user.eclass
index 273130ea19af..76046988849b 100644
--- a/eclass/acct-user.eclass
+++ b/eclass/acct-user.eclass
@@ -51,6 +51,10 @@ esac
inherit user-info
+case ${EAPI} in
+ 7|8) inherit edo ;;
+esac
+
[[ ${CATEGORY} == acct-user ]] ||
die "Ebuild error: this eclass can be used only in acct-user category!"
@@ -340,7 +344,7 @@ acct-user_pkg_preinst() {
fi
elog "Adding user ${ACCT_USER_NAME}"
- useradd "${opts[@]}" "${ACCT_USER_NAME}" || die "useradd failed with status $?"
+ nonfatal edo useradd "${opts[@]}" "${ACCT_USER_NAME}" || die "useradd failed with status $?"
_ACCT_USER_ADDED=1
fi
@@ -445,7 +449,7 @@ acct-user_pkg_postinst() {
fi
elog "Updating user ${ACCT_USER_NAME}"
- usermod "${opts[@]}" "${ACCT_USER_NAME}"
+ nonfatal edo usermod "${opts[@]}" "${ACCT_USER_NAME}"
local status=$?
if [[ ${status} -eq 8 ]]; then
# usermod refused to update the home directory
@@ -509,7 +513,7 @@ acct-user_pkg_prerm() {
fi
elog "Locking user ${ACCT_USER_NAME}"
- usermod "${opts[@]}" "${ACCT_USER_NAME}" || die "usermod failed with status $?"
+ nonfatal edo usermod "${opts[@]}" "${ACCT_USER_NAME}" || die "usermod failed with status $?"
}
fi